﻿@using Jumbula.Common.Constants
@using Jumbula.Common.Helper
@using Jumbula.Core.Domain
@model CampProgramBodyViewModel

@{
    string scheduleClass = "";
}

<div id="programSchedules">
    <div class="program-section-title-bg full-width">
        <h2 class="program-section-title jbi-calendar">Schedules</h2>
    </div>
    <div class="clearfix"></div>
    <div class="program-section-container program-schedule-accordion full-width">
        @foreach (var schedule in Model.Schedules)
        {
            if (schedule.RegStatus == ProgramRegStatus.Closed)
            {
                scheduleClass = "expired";
            }
            else if (schedule.RegStatus == ProgramRegStatus.Open)
            {
                if (schedule.IsCapacityFull)
                {
                    scheduleClass = "expired";
                }
                else
                {
                    scheduleClass = "open";
                }
            }
            else if (schedule.RegStatus == ProgramRegStatus.NotStarted)
            {
                scheduleClass = "will-open";
            }

            <h3 class="@scheduleClass">

                @if (schedule.IsCapacityFull && Model.EnabledWaitList)
                {
                    @Html.ActionLink(Constants.DefaultERButtonAddToWaitlistLabel, "AddToWaitlist", "Register", new { returnUrl = Request.Url.AbsolutePath, scheduleId = schedule.Id, isIndividual = true }, new { @class = "btn preven-parent pull-right btn_color-green btn_waitlist" })
                }

                @if (!string.IsNullOrEmpty(schedule.Title))
                {
                    <span>@string.Format("{0} ({1}-{2})", schedule.Title, schedule.StartDate.Value.ToString(Constants.DefaultDateFormat), @schedule.EndDate.Value.ToString(Constants.DefaultDateFormat))</span>
                }
                else
                {
                    <span>@schedule.StartDate.Value.ToString(Constants.DefaultDateFormat) - @schedule.EndDate.Value.ToString(Constants.DefaultDateFormat)</span>
                }

                @if (schedule.IsCapacityFull)
                {
                    <span style="margin-left:10px;color:#ff0000">Program is full</span>
                }
            </h3>
            <div class="accordion-content">
                <div class="tuitions">
                    <div class="clearfix"></div>
                    @foreach (var charge in schedule.Prices)
                    {
                        if (!Model.EnablePriceHidden)
                        {
                            <div class="tuition">
                                <div class="tuition-label ellipsis" title="@charge.Name" style="padding: 0">
                                    <span>@charge.Name  
                                        <span class="clearfix" style="font-size: 17px; color: #7bb6e4; padding-left: 10px"> @charge.DropInLable</span> 
                                    </span>

                                    @if (!string.IsNullOrEmpty(charge.Description))
                                    {
                                        <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@charge.Description"></a>
                                    }
                                    @if (charge.TutionIsFull)
                                    {
                                        <span class="label label-danger margin-right10" style="font-family:'Segoe UI', Helvetica, Arial, sans-serif; font-size: 11px; font-weight: 400; letter-spacing: .4px;">Full</span>
                                    }
                                </div>
                                 
                                @if (!charge.HasEarlyBird)
                                {
                                    <div class="tuition-prices">
                                        <span>@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>                              
                                    </div>                                  
                                }
                                else
                                {
                                    var localTime = Jumbula.Common.Helper.DateTimeHelper.ConvertUtcDateTimeToLocal(DateTime.UtcNow, Model.ClubTimeZone).Date;
                                    if (charge.HasEarlyBird && charge.EarlyBirds.Any(e => e.ExpireDate >= localTime))
                                    {
                                        var earlyBrid = charge.EarlyBirds.OrderBy(c => c.ExpireDate).First(e => e.ExpireDate >= localTime);

                                        <div class="tuition-prices">
                                            <span class="discounted">@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                                            <span class="applied">@CurrencyHelper.FormatCurrencyWithPenny(earlyBrid.Price, Model.Currency)</span>
                                            <p class="label label-success">@string.Format("Early bird price expires on {0} at 11:59 PM", earlyBrid.ExpireDate.Value.ToString("MMM dd, yyyy"))</p>
                                        </div>
                                          
                                    }
                                    else
                                    {
                                        <div class="tuition-prices">
                                            <span>@CurrencyHelper.FormatCurrencyWithPenny(charge.Amount, Model.Currency)</span>
                                        </div>
                                    }


                                }
                                 
                                <div class="clearfix"></div>

                            </div>

                        }
                    }

                    <div class="clearfix"></div>
                </div>
                @if (!schedule.IsCampOvernight)
                {
                    <ul class="days">
                        @{Html.RenderPartial("_ProgramDailyChart", schedule.RecurrenceTime.Days);}
                    </ul>
                }
                else
                {
                    var dayModel = new List<ProgramScheduleDay>();
                    var days = schedule.RecurrenceTime.Days.Where(d => d.StartTime.HasValue && d.EndTime.HasValue);
                    foreach (var day in days)
                    {
                        day.StartTime = null;
                        day.EndTime = null;
                        dayModel.Add(day);
                    }

                    <ul class="days">
                        @{Html.RenderPartial("_ProgramDailyChart", dayModel);}
                    </ul>
                }

                @if (schedule.Services.Count > 0)
                {
                    <div class="program-section-title-bg">
                        <h2 class="program-section-title jbi-shopping-bag">Additional services and fees</h2>
                    </div>
                    <div class="section-indent">
                        @foreach (var service in schedule.Services)
                        {
                            switch (service.Category)
                            {
                                case ChargeDiscountCategory.CustomCharge:
                                    {
                                        <div class="jbi-coins program-service">
                                            <span class="program-service-title ellipsis" title="@service.Name">
                                                @service.Name
                                                @if (!string.IsNullOrEmpty(service.Description))
                                                {
                                                    <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@service.Description"></a>
                                                }
                                            </span>
                                            <span class="program-service-value">
                                                @CurrencyHelper.FormatCurrencyWithPenny(service.Amount, Model.Currency)
                                            </span>
                                        </div>
                                        break;
                                    }
                                case ChargeDiscountCategory.Lunch:
                                    {
                                        <div class="jbi-lunch program-service">
                                            <span class="program-service-title ellipsis" title="@service.Name">
                                                @service.Name
                                                @if (!string.IsNullOrEmpty(service.Description))
                                                {
                                                    <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@service.Description"></a>
                                                }
                                            </span>
                                            <span class="program-service-value">
                                                @CurrencyHelper.FormatCurrencyWithPenny(service.Amount, Model.Currency)
                                            </span>
                                        </div>
                                        break;
                                    }
                                case ChargeDiscountCategory.DayCare:
                                    {
                                        <div class="jbi-mom program-service">
                                            <span class="program-service-title ellipsis" title="@service.Name">
                                                @service.Name
                                                @if (!string.IsNullOrEmpty(service.Description))
                                                {
                                                    <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@service.Description"></a>
                                                }
                                            </span>
                                            <span class="program-service-value">
                                                @CurrencyHelper.FormatCurrencyWithPenny(service.Amount, Model.Currency)
                                            </span>
                                        </div>
                                        break;
                                    }
                            }
                        }
                        <div class="clearfix"></div>
                    </div>
                }
                <div class="program-section-title-bg">
                    <h2 class="program-section-title jbi-clock">Registration period</h2>
                </div>
                <div id="registrationPeriod" class="section-indent clearfix">
                    Registration for this schedule starts on @schedule.RegistrationPeriod.RegisterStartDate.Value.ToString(Constants.DefaultDateFormat) and ends on @schedule.RegistrationPeriod.RegisterEndDate.Value.ToString(Constants.DefaultDateFormat).
                </div>
                <div class="program-section-title-bg">
                    <h2 class="program-section-title jbi-pie">Restrictions</h2>
                </div>
                <div id="restrictions" class="section-indent">
                    @switch (schedule.Restrict.RestrictionType)
                    {
                        case RestrictionType.Age:
                            {
                                <p class="jbi-graduation-cap">
                                    @schedule.AgeRestrictionMessage
                                </p>
                                break;
                            }
                        case RestrictionType.Grade:
                            {
                                <p class="jbi-graduation-cap">
                                    @schedule.GradeRestrictionMessage
                                </p>
                                break;
                            }
                    }
                    <p class="jbi-gender">@schedule.Restrict.Gender.ToDescription()</p>
                </div>
            </div>
        }
    </div>
    <div class="clearfix"></div>
</div>

@if (!Model.HideGoogleMapInClassPage)
{
    <div class="program-section-title-bg">
        <h2 class="program-section-title jbi-map-pin">Location</h2>
    </div>
    <div id="location" class="section-indent clearfix">
        <address>@Model.Address.Address <a data-target="#MapModal" data-toggle="modal" href="#" class="show-map" aria-hidden="True"> (show map)</a></address>
    </div>
}
@if ((!string.IsNullOrEmpty(Model.Description)))
{
    <div id="programDiscriptions">
        <div class="program-section-title-bg full-width">
            <h2 class="program-section-title jbi-note-paper">Description</h2>
        </div>
        <div class="clearfix"></div>
        <div class="program-section-container">
            <div class="program-desc-box">
                <p itemprop="description">
                    @Html.Raw(Model.Description.Replace("\n", "<br>").Replace("\r", "<br>"))
                </p>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
}
